<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>10. lekce, formulare</title>
</head>
<body>
    
    <script>
        /*(function() {
            console.log("ahoj!");
        })()*/

        function onSubmit() {
            console.log(event, "on submit");

            //1. metoda, podle value vybraneho elementu
            const prvniMetoda = document.getElementById("firstname");
            console.log(prvniMetoda.value);

            //2. metoda, z udalosti na onsubmit, event
            const druhaMetoda = event.target[0].value;
            console.log(druhaMetoda);

            const formValues = Object.keys(event.target)
                .filter((t, index) => event.target[index].name === "input")
                .map((t, index) => event.target[index].value);
            console.log(formValues);

            return false;
        }
    </script>

    <form onsubmit="return onSubmit(event.preventDefault())">
        <div>
            <label>First name</label>
            <input type="text" id="firstname" name="firstname" required value="Pavel" />
        </div>

        <div>
            <!--<label>Last name</label>-->
            <input type="text" name="lastname" placeholder="Last name" />
        </div>

        <div>
            <label>Email</label>
            <input type="email" name="email" required />
        </div>

        <button type="submit">Send</button>
    </form>

</body>
</html>